import Foundation

struct FileData {

    ///The files marked as expected, i.e. they exist after the generation is completed. (`key`: file path, `value`: the file providing the link)
    var expected: [String : String] = [:]

    /// All files which should be copied to the output folder (`key`: The file path, `value`: The source requiring the file)
    var toCopy: [String : String] = [:]

    /// The files to minify when copying into output directory. (`key`: the file path relative to the content folder)
    var toMinify: [String : (source: String, type: MinificationType)] = [:]

    /**
     The files marked as external in element metadata. (Key: File path, Value: source element)

     Files included here are not generated, since they are assumed to be added separately.
     */
    var external: [String : String] = [:]
}
